#### D.4.11.8 flatteningStrat

Procedure from library `homolog.lib` (see homolog_lib).

Usage:
  flatteningStrat(M); M module

Return:
  list of ideals.
  The list entries L[1],...,L[r] describe the flattening stratification of M'=coker(M): setting L[0]=0, L[r+1]=1, the flattening stratification is given by the open sets Spec(A/V(L[i-1])) \ V(L[i]), i=1,...,r+1 (A = basering).

Note:
  for more information see the book 'A Singular Introduction to Commutative Algebra' (by Greuel/Pfister, Springer 2002).

Example:

    LIB "homolog.lib";
    ring A = 0,x(0..4),dp;
    // presentation matrix:
    matrix M[2][4] = x(0),x(1),x(2),x(3),x(1),x(2),x(3),x(4);
    list L = flatteningStrat(M);
    L;
    ==> [1]:
    ==>    _[1]=x(3)^2-x(2)*x(4)
    ==>    _[2]=x(2)*x(3)-x(1)*x(4)
    ==>    _[3]=x(1)*x(3)-x(0)*x(4)
    ==>    _[4]=x(2)^2-x(0)*x(4)
    ==>    _[5]=x(1)*x(2)-x(0)*x(3)
    ==>    _[6]=x(1)^2-x(0)*x(2)
    ==> [2]:
    ==>    _[1]=x(4)
    ==>    _[2]=x(3)
    ==>    _[3]=x(2)
    ==>    _[4]=x(1)
    ==>    _[5]=x(0)

User manual for Singular version 4.4.1, 2025, generated by texi2html.